AGUpdate (agraph-java-client 5.0.4-SNAPSHOT API)
Description: declaration: package: com.franz.agraph.repository, class: AGUpdate

Package com.franz.agraph.repository

# Class AGUpdate

java.lang.Object
org.eclipse.rdf4j.query.impl.AbstractOperation
org.eclipse.rdf4j.query.impl.AbstractQuery
com.franz.agraph.repository.AGQuery
com.franz.agraph.repository.AGUpdate

All Implemented Interfaces:
  `org.eclipse.rdf4j.query.Operation`, `org.eclipse.rdf4j.query.Query`, `org.eclipse.rdf4j.query.Update`

public class AGUpdate extends AGQuery implements org.eclipse.rdf4j.query.Update
Implements the Sesame Update interface for AllegroGraph.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.eclipse.rdf4j.query.Query

  `org.eclipse.rdf4j.query.Query.QueryType`

- ## Field Summary

  ### Fields inherited from class com.franz.agraph.repository.AGQuery

  `RDFS_PLUS_PLUS, RESTRICTION, SPARQL_COVERAGE_PLANNER, SPARQL_IDENTITY_PLANNER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AGUpdate(AGRepositoryConnection con, org.eclipse.rdf4j.query.QueryLanguage ql, String queryString, String baseURI)`
  Creates an AGUpdate instance for a given connection.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `execute()`
  Execute the update.

  ### Methods inherited from class com.franz.agraph.repository.AGQuery

  `analyze, download, download, download, download, getBaseURI, getBindingsArray, getEngine, getEntailmentRegime, getFranzOptionPrefixString, getLanguage, getLimit, getName, getOffset, getPlanner, getQueryString, hashCode, isCheckVariables, isLoggingEnabled, isPrepared, setCheckVariables, setEngine, setEntailmentRegime, setIncludeInferred, setLimit, setLoggingEnabled, setOffset, setPlanner, setPrepared, setSaveName, stream, stream, toString`

  ### Methods inherited from class org.eclipse.rdf4j.query.impl.AbstractQuery

  `getMaxQueryTime, setMaxQueryTime`

  ### Methods inherited from class org.eclipse.rdf4j.query.impl.AbstractOperation

  `clearBindings, getBindings, getDataset, getIncludeInferred, getMaxExecutionTime, removeBinding, setBinding, setDataset, setMaxExecutionTime`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.eclipse.rdf4j.query.Operation

  `clearBindings, getBindings, getDataset, getIncludeInferred, getMaxExecutionTime, removeBinding, setBinding, setDataset, setIncludeInferred, setMaxExecutionTime`

  ### Methods inherited from interface org.eclipse.rdf4j.query.Query

  `explain`

- ## Constructor Details

  - ### AGUpdate

    public AGUpdate(AGRepositoryConnection con, org.eclipse.rdf4j.query.QueryLanguage ql, String queryString, String baseURI)
    Creates an AGUpdate instance for a given connection.
    Parameters:
      `con` - the connection
      `ql` - the query language
      `queryString` - the query
      `baseURI` - the base URI for the query

- ## Method Details

  - ### execute

    public void execute() throws org.eclipse.rdf4j.query.UpdateExecutionException
    Execute the update.
    Specified by:
      `execute` in interface `org.eclipse.rdf4j.query.Update`
    Throws:
      `org.eclipse.rdf4j.query.UpdateExecutionException`